/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export class SparklineDescription extends Description {
    constructor() {
        super();
        this.al = null;
        this.a2 = null;
        this.a0 = null;
        this.a3 = null;
        this.an = null;
        this.aw = null;
        this.aq = null;
        this.ay = null;
        this.a7 = null;
        this.as = null;
        this.bb = null;
        this.a5 = null;
        this.au = null;
        this.bd = null;
        this.a1 = null;
        this.a4 = null;
        this.ao = null;
        this.ax = null;
        this.az = null;
        this.ar = null;
        this.a6 = null;
        this.f = false;
        this.n = 0;
        this.i = 0;
        this.k = 0;
        this.j = 0;
        this.m = 0;
        this.q = 0;
        this.l = 0;
        this.p = 0;
        this.o = 0;
        this.ba = null;
        this.av = null;
        this.a8 = null;
        this.aj = 0;
        this.u = 0;
        this.s = 0;
        this.r = 0;
        this.am = null;
        this.a9 = null;
        this.bc = null;
        this.at = null;
        this.ap = null;
        this.t = 0;
        this.h = 0;
    }
    get_type() {
        return "Sparkline";
    }
    get type() {
        return this.get_type();
    }
    get brush() {
        return this.al;
    }
    set brush(a) {
        this.al = a;
        this.e("Brush");
    }
    get negativeBrush() {
        return this.a2;
    }
    set negativeBrush(a) {
        this.a2 = a;
        this.e("NegativeBrush");
    }
    get markerBrush() {
        return this.a0;
    }
    set markerBrush(a) {
        this.a0 = a;
        this.e("MarkerBrush");
    }
    get negativeMarkerBrush() {
        return this.a3;
    }
    set negativeMarkerBrush(a) {
        this.a3 = a;
        this.e("NegativeMarkerBrush");
    }
    get firstMarkerBrush() {
        return this.an;
    }
    set firstMarkerBrush(a) {
        this.an = a;
        this.e("FirstMarkerBrush");
    }
    get lastMarkerBrush() {
        return this.aw;
    }
    set lastMarkerBrush(a) {
        this.aw = a;
        this.e("LastMarkerBrush");
    }
    get highMarkerBrush() {
        return this.aq;
    }
    set highMarkerBrush(a) {
        this.aq = a;
        this.e("HighMarkerBrush");
    }
    get lowMarkerBrush() {
        return this.ay;
    }
    set lowMarkerBrush(a) {
        this.ay = a;
        this.e("LowMarkerBrush");
    }
    get trendLineBrush() {
        return this.a7;
    }
    set trendLineBrush(a) {
        this.a7 = a;
        this.e("TrendLineBrush");
    }
    get horizontalAxisBrush() {
        return this.as;
    }
    set horizontalAxisBrush(a) {
        this.as = a;
        this.e("HorizontalAxisBrush");
    }
    get verticalAxisBrush() {
        return this.bb;
    }
    set verticalAxisBrush(a) {
        this.bb = a;
        this.e("VerticalAxisBrush");
    }
    get normalRangeFill() {
        return this.a5;
    }
    set normalRangeFill(a) {
        this.a5 = a;
        this.e("NormalRangeFill");
    }
    get horizontalAxisVisibility() {
        return this.au;
    }
    set horizontalAxisVisibility(a) {
        this.au = a;
        this.e("HorizontalAxisVisibility");
    }
    get verticalAxisVisibility() {
        return this.bd;
    }
    set verticalAxisVisibility(a) {
        this.bd = a;
        this.e("VerticalAxisVisibility");
    }
    get markerVisibility() {
        return this.a1;
    }
    set markerVisibility(a) {
        this.a1 = a;
        this.e("MarkerVisibility");
    }
    get negativeMarkerVisibility() {
        return this.a4;
    }
    set negativeMarkerVisibility(a) {
        this.a4 = a;
        this.e("NegativeMarkerVisibility");
    }
    get firstMarkerVisibility() {
        return this.ao;
    }
    set firstMarkerVisibility(a) {
        this.ao = a;
        this.e("FirstMarkerVisibility");
    }
    get lastMarkerVisibility() {
        return this.ax;
    }
    set lastMarkerVisibility(a) {
        this.ax = a;
        this.e("LastMarkerVisibility");
    }
    get lowMarkerVisibility() {
        return this.az;
    }
    set lowMarkerVisibility(a) {
        this.az = a;
        this.e("LowMarkerVisibility");
    }
    get highMarkerVisibility() {
        return this.ar;
    }
    set highMarkerVisibility(a) {
        this.ar = a;
        this.e("HighMarkerVisibility");
    }
    get normalRangeVisibility() {
        return this.a6;
    }
    set normalRangeVisibility(a) {
        this.a6 = a;
        this.e("NormalRangeVisibility");
    }
    get displayNormalRangeInFront() {
        return this.f;
    }
    set displayNormalRangeInFront(a) {
        this.f = a;
        this.e("DisplayNormalRangeInFront");
    }
    get markerSize() {
        return this.n;
    }
    set markerSize(a) {
        this.n = a;
        this.e("MarkerSize");
    }
    get firstMarkerSize() {
        return this.i;
    }
    set firstMarkerSize(a) {
        this.i = a;
        this.e("FirstMarkerSize");
    }
    get lastMarkerSize() {
        return this.k;
    }
    set lastMarkerSize(a) {
        this.k = a;
        this.e("LastMarkerSize");
    }
    get highMarkerSize() {
        return this.j;
    }
    set highMarkerSize(a) {
        this.j = a;
        this.e("HighMarkerSize");
    }
    get lowMarkerSize() {
        return this.m;
    }
    set lowMarkerSize(a) {
        this.m = a;
        this.e("LowMarkerSize");
    }
    get negativeMarkerSize() {
        return this.q;
    }
    set negativeMarkerSize(a) {
        this.q = a;
        this.e("NegativeMarkerSize");
    }
    get lineThickness() {
        return this.l;
    }
    set lineThickness(a) {
        this.l = a;
        this.e("LineThickness");
    }
    get minimum() {
        return this.p;
    }
    set minimum(a) {
        this.p = a;
        this.e("Minimum");
    }
    get maximum() {
        return this.o;
    }
    set maximum(a) {
        this.o = a;
        this.e("Maximum");
    }
    get valueMemberPath() {
        return this.ba;
    }
    set valueMemberPath(a) {
        this.ba = a;
        this.e("ValueMemberPath");
    }
    get labelMemberPath() {
        return this.av;
    }
    set labelMemberPath(a) {
        this.av = a;
        this.e("LabelMemberPath");
    }
    get trendLineType() {
        return this.a8;
    }
    set trendLineType(a) {
        this.a8 = a;
        this.e("TrendLineType");
    }
    get trendLinePeriod() {
        return this.aj;
    }
    set trendLinePeriod(a) {
        this.aj = a;
        this.e("TrendLinePeriod");
    }
    get trendLineThickness() {
        return this.u;
    }
    set trendLineThickness(a) {
        this.u = a;
        this.e("TrendLineThickness");
    }
    get normalRangeMinimum() {
        return this.s;
    }
    set normalRangeMinimum(a) {
        this.s = a;
        this.e("NormalRangeMinimum");
    }
    get normalRangeMaximum() {
        return this.r;
    }
    set normalRangeMaximum(a) {
        this.r = a;
        this.e("NormalRangeMaximum");
    }
    get displayType() {
        return this.am;
    }
    set displayType(a) {
        this.am = a;
        this.e("DisplayType");
    }
    get unknownValuePlotting() {
        return this.a9;
    }
    set unknownValuePlotting(a) {
        this.a9 = a;
        this.e("UnknownValuePlotting");
    }
    get verticalAxisLabelRef() {
        return this.bc;
    }
    set verticalAxisLabelRef(a) {
        this.bc = a;
        this.e("VerticalAxisLabelRef");
    }
    get horizontalAxisLabelRef() {
        return this.at;
    }
    set horizontalAxisLabelRef(a) {
        this.at = a;
        this.e("HorizontalAxisLabelRef");
    }
    get formatLabelRef() {
        return this.ap;
    }
    set formatLabelRef(a) {
        this.ap = a;
        this.e("FormatLabelRef");
    }
    get pixelScalingRatio() {
        return this.t;
    }
    set pixelScalingRatio(a) {
        this.t = a;
        this.e("PixelScalingRatio");
    }
    get actualPixelScalingRatio() {
        return this.h;
    }
    set actualPixelScalingRatio(a) {
        this.h = a;
        this.e("ActualPixelScalingRatio");
    }
}
SparklineDescription.$t = markType(SparklineDescription, 'SparklineDescription', Description.$);
